function init(hero) {
    hero.setName("Iron Man/Mark 30");
    hero.setTier(7);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.leggings");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("legacyheroes:iron_man_mk30_mk33");
    hero.addAttribute("PUNCH_DAMAGE", 7.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 1.2, 0);
    hero.addAttribute("FALL_RESISTANCE", 8.0, 0);
    
    hero.addKeyBind("AIM", "key.aim", 1);
    hero.addKeyBind("HOVER", "key.hover", 2);
    hero.addKeyBind("CHARGED_BEAM", "Unibeam", 3);
    hero.addKeyBind("BLADE", "Blade", 4);
    hero.addKeyBind("SENTRY_MODE", "key.sentryMode", 5);

    hero.addAttributeProfile("BLADE", bladeProfile);
    hero.setAttributeProfile(getAttributeProfile);
    hero.setModifierEnabled(isModifierEnabled);
    hero.setHasProperty(hasProperty);
    hero.supplyFunction("canAim", canAim);
    hero.setKeyBindEnabled(isKeyBindEnabled);
}

function bladeProfile(profile) {
    profile.addAttribute("PUNCH_DAMAGE", 10.5, 0);
    profile.addAttribute("FALL_RESISTANCE", 6.5, 0);
    profile.addAttribute("SPRINT_SPEED", -0.02, 1);
}

function isKeyBindEnabled(entity, keyBind) {
    
    switch (keyBind) {
    case "AIM":
        return (!entity.getData("fiskheroes:blade"));
    case "BLADE":
        return (!entity.getData("fiskheroes:aiming"));
    default:
        return true;
    }    
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "BLADE" : null;
}

function isModifierEnabled(entity, modifier) {
    if (modifier.name() == "fiskheroes:water_breathing") {
        return (!entity.getData("fiskheroes:mask_open"));
    }
    else if (modifier.name() == "fiskheroes:blade") {
        return (!entity.getData("fiskheroes:aiming"));
    }
    else if (modifier.name() == "fiskheroes:aiming") {
        return (!entity.getData("fiskheroes:blade"));
    }
    return true;
}

function hasProperty(entity, property) {
    return property == "MASK_TOGGLE" || property == "BREATHE_SPACE" && !entity.getData("fiskheroes:mask_open");
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty() && !entity.getData("fiskheroes:jetpacking");
}
