function init(hero) {
    hero.setName("Tony Stark");
    hero.setTier(1);
    hero.hide();
    
    hero.setChestplate("Nanotech Watch");
    
    hero.addPowers("legacyheroes:nano_watch");

    hero.addAttribute("PUNCH_DAMAGE", 6.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 2.0, 0);
    
    hero.addKeyBind("AIM", "Repulsor Aim", 1);
    hero.addKeyBind("NANO_WATCH", "Toggle Watch", 2);

    hero.setTierOverride(getTierOverride);
    hero.setKeyBindEnabled(isKeyBindEnabled);
    hero.setModifierEnabled(isModifierEnabled);
    hero.setAttributeProfile(getAttributeProfile);
    hero.addAttributeProfile("INACTIVE", inactiveProfile);
    hero.supplyFunction("canAim", canAim);
}

function getTierOverride(entity) {
    return 0;
}

function isKeyBindEnabled(entity, keyBind) {
    
    switch (keyBind) {
    case "AIM":
        return (entity.getData("legacyheroes:dyn/watch_timer") == 1);
    default:
        return true;
    }    
}

function isModifierEnabled(entity, modifier) {
    if (modifier.name() == "fiskheroes:repulsor_blast") {
        return (entity.getData("legacyheroes:dyn/watch_timer") == 1);
    }
    return true;
}

function getAttributeProfile(entity) {
    if (!entity.getData("legacyheroes:dyn/watch")) {
        return "INACTIVE";
    }
    return null;
}

function inactiveProfile(profile) {
    profile.revokeAugments();
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty() && entity.getData("legacyheroes:dyn/watch_timer") == 1;
}